job "ddclient" {
  datacenters = ["dc1"]
  type = "service"

  group "ddclient" {

    task "ddclient" {
      driver = "docker"
      config {
        image = "linuxserver/ddclient:3.9.1"

        mount {
          type = "bind"
          source = "secrets/ddclient.conf"
          target = "/config/ddclient.conf"
        }
      }

      vault {
        policies = [
          "access-tables",
          "nomad-task",
        ]
      }

      template {
        data = <<EOH
daemon=900
ssl=yes
use=web

protocol=cloudflare,
zone={{ key "ddclient/zone" }},
ttl=1,
{{ with secret "kv/data/cloudflare" -}}
login={{ .Data.data.api_user }},
password={{ .Data.data.api_key }}
# login=token,
# password={{ .Data.data.api_token_dns_edit_all }}
{{ end -}}

{{ key "ddclient/domain" }}
        EOH
        destination = "secrets/ddclient.conf"
        change_mode = "restart"
      }

      resources {
        cpu = 50
        memory = 50
        memory_max = 100
      }
    }
  }
}
